### Method

# Gck Object get_data_finish

#### Declaration [src]

    guchar*
    gck_object_get_data_finish (
      GckObject* self,
      GAsyncResult* result,
      gsize* n_data,
      GError** error
    )

#### Description [src]

Get the result of an operation to get attribute data from an object. For convenience the returned data has an extra null terminator, not included in the returned length.

#### Parameters

`result`

  Type: `GAsyncResult`

  The result passed to the callback.

  The data is owned by the caller of the method.

`n_data`

  Type: `gsize*`

  The length of the resulting data.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guchar`

The PKCS#11 attribute data or `NULL` if an error occurred.

The length of the array is in the `n_data` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.